org.apache.hadoop.yarn.server.federation.store.records.impl.pb

## Class SubClusterDeregisterRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.SubClusterDeregisterRequest
  - - org.apache.hadoop.yarn.server.federation.store.records.impl.pb.SubClusterDeregisterRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class SubClusterDeregisterRequestPBImpl
      extends SubClusterDeregisterRequest

  Protocol buffer based implementation of `SubClusterDeregisterRequest`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubClusterDeregisterRequestPBImpl()`
    `SubClusterDeregisterRequestPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterDeregisterRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterDeregisterRequestProto` | `getProto()`
    `SubClusterState` | `getState()` Get the `SubClusterState` of the subcluster.
    `SubClusterId` | `getSubClusterId()` Get the `SubClusterId` representing the unique identifier of the subcluster.
    `int` | `hashCode()`
    `void` | `setState(SubClusterState state)` Set the `SubClusterState` of the subcluster.
    `void` | `setSubClusterId(SubClusterId subClusterId)` Set the `SubClusterId` representing the unique identifier of the subcluster.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.federation.store.records.SubClusterDeregisterRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubClusterDeregisterRequestPBImpl

          public SubClusterDeregisterRequestPBImpl()

    - #### SubClusterDeregisterRequestPBImpl

          public SubClusterDeregisterRequestPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterDeregisterRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterDeregisterRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getSubClusterId

          public SubClusterId getSubClusterId()

      Description copied from class: `SubClusterDeregisterRequest`
      Get the `SubClusterId` representing the unique identifier of the subcluster.
      Specified by:
        `getSubClusterId` in class `SubClusterDeregisterRequest`
      Returns:
        the subcluster identifier

    - #### setSubClusterId

          public void setSubClusterId(SubClusterId subClusterId)

      Description copied from class: `SubClusterDeregisterRequest`
      Set the `SubClusterId` representing the unique identifier of the subcluster.
      Specified by:
        `setSubClusterId` in class `SubClusterDeregisterRequest`
      Parameters:
        `subClusterId` - the subcluster identifier

    - #### getState

          public SubClusterState getState()

      Description copied from class: `SubClusterDeregisterRequest`
      Get the `SubClusterState` of the subcluster.
      Specified by:
        `getState` in class `SubClusterDeregisterRequest`
      Returns:
        the state of the subcluster

    - #### setState

          public void setState(SubClusterState state)

      Description copied from class: `SubClusterDeregisterRequest`
      Set the `SubClusterState` of the subcluster.
      Specified by:
        `setState` in class `SubClusterDeregisterRequest`
      Parameters:
        `state` - the state of the subCluster

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.